summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-12-04 22:05:53 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-12-04 22:05:53 +0000
commitd9272f78857ee465e021a0a67db9bfbc5b6a5530 (patch)
tree93ad9101be8af958e71abad7b6053483f03a2dc9 /eclass/ruby.eclass
parentUpdate to 2.7.3, fix some deps and add joystick useflag. Bug 97812 (diff)
downloadhistorical-d9272f78857ee465e021a0a67db9bfbc5b6a5530.tar.gz
historical-d9272f78857ee465e021a0a67db9bfbc5b6a5530.tar.bz2
historical-d9272f78857ee465e021a0a67db9bfbc5b6a5530.zip
Add a doruby function to install ruby files in the right place without reinventing the wheel every time.
Diffstat (limited to 'eclass/ruby.eclass')
-rw-r--r--eclass/ruby.eclass8
1 files changed, 7 insertions, 1 deletions
diff --git a/eclass/ruby.eclass b/eclass/ruby.eclass
index 40a279962d5b..9937a16e4d5a 100644
--- a/eclass/ruby.eclass
+++ b/eclass/ruby.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.54 2006/07/07 14:09:47 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.55 2006/12/04 22:05:53 flameeyes Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -114,6 +114,12 @@ ruby_src_compile() {
ruby_emake "$@" || die
}
+doruby() {
+ INSDESTTREE="$(${RUBY} -r rbconfig -e 'print Config::CONFIG["sitedir"]')" \
+ INSOPTIONS="-m 0644" \
+ doins "$@" || die "failed to install $@"
+}
+
ruby_einstall() {
local siteruby